---
layout: wiki
title: UserDoc
permalink: /wiki/UserDoc/
---

Qubes User Guides
=================

-   [Getting started](/wiki/GettingStarted)
-   [Creating and using HVM and Windows domains (Qubes R2 only)](/wiki/HvmCreate)
-   [Copy and paste between domains](/wiki/CopyPaste)
-   [Copying files between domains](/wiki/CopyingFiles)
-   [Updating and adding new software to AppVMs](/wiki/SoftwareUpdateVM)
-   [Updating software in Dom0](/wiki/SoftwareUpdateDom0)
-   [Using Disposable VMs](/wiki/DisposableVms)
-   [Understanding Qubes firewall](/wiki/QubesFirewall)
-   [How to mount USB stick to an AppVM?](/wiki/StickMounting)
-   [Key generation inside Qubes VMs?](/wiki/KeyGen)
-   [How to assign PCI devices to a VM?](/wiki/AssigningDevices)
-   [Qubes Backup/Restore/Migration](/wiki/BackupRestore)
-   [Central policies for inter-VM services?](/wiki/QubesPolicies)
-   [Configuring a network printer](/wiki/NetworkPrinter)

Advanced topics:

-   Creating custom NetVMs and ProxyVMs -- see [​this article](http://theinvisiblethings.blogspot.com/2011/09/playing-with-qubes-networking-for-fun.html)
-   Remotely executing programs in VMs (qvm-run and qrexec)
-   [How to copy files to Dom0?](/wiki/CopyToDomZero)
-   [​Extend root.img size](https://groups.google.com/group/qubes-devel/msg/9d1ac581236ca9b4)
-   Installing [Anti Evil Maid](/wiki/AntiEvilMaid)
-   [Tor proxy VM](/wiki/UserDoc/TorVM) documentation
-   [XFCE](/wiki/UserDoc/XFCE) installation in dom0
-   [DispVM Customization](/wiki/UserDoc/DispVMCustomization)
-   [Tips for using Linux in HVM](/wiki/LinuxHVMTips)

Command-line tools reference:

-   [Dom0 tools](/wiki/DomZeroTools)
-   [VM tools](/wiki/VmTools)

Optional topics:

-   [How to install Nvidia driver in dom0](/wiki/InstallNvidiaDriver)
-   [Getting Sony Vaio Z laptop to work with Qubes](/wiki/SonyVaioTinkering)
-   [​Installing on system with new AMD GPU (missing firmware problem)](https://groups.google.com/group/qubes-devel/browse_thread/thread/e27a57b0eda62f76)
-   [​How to make proxy for individual tcp connection from networkless VM](https://groups.google.com/group/qubes-devel/msg/4ca950ab6d7cd11a)
-   [​How to run TorBrowser using external tor proxy (from TorVM)](https://groups.google.com/group/qubes-devel/msg/34f67194d3422bfa)
-   [​Creating NetBSD VM](https://groups.google.com/group/qubes-devel/msg/4015c8900a813985)
-   [​Booting with GRUB2 and GPT](https://groups.google.com/group/qubes-devel/browse_thread/thread/e4ac093cabd37d2b/d5090c20d92c4128#d5090c20d92c4128)
-   [​HTTP filtering proxy in Qubes firewall VM](https://groups.google.com/group/qubes-devel/browse_thread/thread/5252bc3f6ed4b43e/d881deb5afaa2a6c#39c95d63fccca12b)

